package com.lightinit.hsdataplatform.dictionary;

import java.util.LinkedHashMap;

/**
 * Created by WangYao on 2018/5/21.
 */
public class DicAPIInterFaceRequestMethod {

    public static final String GET = "GET";
    public static final String POST = "POST";
    public static final String GETORPOST = "GET/POST";


    private static DicAPIInterFaceRequestMethod instance = null;
    private static LinkedHashMap<String, String> dicMap = null;

    private DicAPIInterFaceRequestMethod(){
        dicMap = new LinkedHashMap<String, String>();
        dicMap.put(GET, GET);
        dicMap.put(POST, POST);
        dicMap.put(GETORPOST, GETORPOST);
    }

    public static DicAPIInterFaceRequestMethod getInstacne(){
        if (instance == null)
        {
            instance = new DicAPIInterFaceRequestMethod();
        }
        return instance;
    }

    public LinkedHashMap<String, String> getDicMap() {
        return (LinkedHashMap<String, String>)dicMap.clone();
    }
}
